import { HttpClient } from "@angular/common/http";
import { MessageService } from "primeng/api";
import { TranslateService } from "@ngx-translate/core";
import { EntityService, ListParams } from "../../../shared/services/entity-service";
import { E001PesDto } from "./e-001-pes-dto";
export declare class E001PesService extends EntityService<E001PesDto> {
    protected http: HttpClient;
    protected messageService: MessageService;
    protected translate: TranslateService;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    listExternalE001Pes(listParams: ListParams): import("rxjs").Observable<unknown>;
}
