import { E001Pes } from "../e-001-pes/e-001-pes";
import { EmployeeDto } from "./employee-dto";
export declare class Employee {
    id?: string;
    code: number;
    person?: E001Pes;
    employer: {
        id: string;
    };
    hireDate?: Date;
    dismissalDate?: Date;
    deleted?: boolean;
    extIntSts?: string;
    extIntMsg?: string;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
    static fromDto(employeeDto: EmployeeDto, originEntity?: string): Employee;
    static toDto(employee: Employee, originEntity?: string): EmployeeDto;
}
