import { OvertimeAuthorizationDto } from "./overtime-authorization-dto";
import { Employee } from "../employee/employee";
export declare class OvertimeAuthorization {
    id?: string;
    employee: Employee;
    startDate: Date;
    startTime: Date;
    endDate: Date;
    endTime: Date;
    authorizer?: Employee;
    observation?: string;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
    static fromDto(overtimeAuthorizationDto: OvertimeAuthorizationDto, originEntity?: string): OvertimeAuthorization;
    static toDto(overtimeAuthorization: OvertimeAuthorization, originEntity?: string): OvertimeAuthorizationDto;
}
