import { HttpClient } from "@angular/common/http";
import { MessageService } from "primeng/api";
import { TranslateService } from "@ngx-translate/core";
import { ReadinessDto } from "./readiness-dto";
import { EntityService } from "../../../shared/services/entity-service";
export declare class ReadinessService extends EntityService<ReadinessDto> {
    protected http: HttpClient;
    protected messageService: MessageService;
    protected translate: TranslateService;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
}
