import { SituationClockingEventDto } from "./situation-clocking-event-dto";
import { Situation } from "../situation/situation";
export declare class SituationClockingEvent {
    id?: string;
    situation?: Situation;
    complementarySituation?: Situation;
    exceptionSituation?: boolean;
    mandatoryAdjustmentReason?: boolean;
    daytimeSituation: boolean;
    convertNightHours?: boolean;
    obligateAttachmentOnLeave?: boolean;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
    static fromDto(situationClockingEventDto: SituationClockingEventDto, originEntity?: string): SituationClockingEvent;
    static toDto(situationClockingEvent: SituationClockingEvent, originEntity?: string): SituationClockingEventDto;
}
