import { TimeEvaluationHistoryDto } from "./time-evaluation-history-dto";
import { Employee } from "../employee/employee";
import { TimeEvaluationSituationDefinition } from "../time-evaluation-situation-definition";
import { TimeEvaluationType } from "../../enums/time-evaluation-type";
import { Article62CltType } from "../../enums/article-62-clt-type";
export declare class TimeEvaluationHistory {
    id?: string;
    employee: Employee;
    startDate: Date;
    timeEvaluationType: TimeEvaluationType;
    processAdjustment?: boolean;
    clockingAdjustment?: boolean;
    approveOwnClocking?: boolean;
    article62Clt?: Article62CltType;
    situationDefinition?: TimeEvaluationSituationDefinition;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
    static fromDto(timeEvaluationHistoryDto: TimeEvaluationHistoryDto, originEntity?: string): TimeEvaluationHistory;
    static toDto(timeEvaluationHistory: TimeEvaluationHistory, originEntity?: string): TimeEvaluationHistoryDto;
}
