import { Situation } from "../situation/situation";
import { TimeEvaluationSituationDefinition } from "../time-evaluation-situation-definition";
import { TimeEvaluationSituationDefinitionHistoryDto } from "./time-evaluation-situation-definition-history-dto";
export declare class TimeEvaluationSituationDefinitionHistory {
    id?: string;
    situationDefinition: TimeEvaluationSituationDefinition;
    startDate: Date;
    endDate?: Date;
    workSituation?: Situation;
    nightShiftWorkPremium?: Situation;
    invalidEventsSituation?: Situation;
    vacationPaidLeaveSituation?: Situation;
    dailyRestViolationSituation?: Situation;
    workBreakViolationSituation?: Situation;
    absenceSituation?: Situation;
    tardinessSituation?: Situation;
    intermediateLeaveSituation?: Situation;
    earlyLeaveSituation?: Situation;
    absenceSituationOnRelayScheduleHolidays?: Situation;
    percentageNextDay?: boolean;
    normalOvertimeSeparationLimit?: number;
    separateOvertimeAfterConvertingNightShiftHours?: boolean;
    unauthorizedOvertime?: Situation;
    overtimeBefore?: Situation;
    overtimeEntry?: Situation;
    overtimeDuringMeal?: Situation;
    leaveOvertime?: Situation;
    overtimeAfter?: Situation;
    overtimeSeparationLimitDuringRest?: number;
    overtimeDuringRest?: Situation;
    overtimeSeparationLimitDuringCompensatedDays?: number;
    overtimeOnCompensatedDays?: Situation;
    overtimeSeparationLimitDuringHoliday?: number;
    overtimeDuringHoliday?: Situation;
    overtimeSeparationLimitDuringDayOff?: number;
    overtimeDuringDayOff?: Situation;
    overtimeSituationOnRelayScheduleHolidays?: Situation;
    nightShiftOvertimePremiumSituation?: Situation;
    overtimeSeparationBefore?: Situation;
    overtimeSeparationEntry?: Situation;
    overtimeSeparationDuringMeal?: Situation;
    overtimeSeparationLeave?: Situation;
    overtimeSeparationAfter?: Situation;
    overtimeSeparationDuringRest?: Situation;
    overtimeSeparationDuringCompensatedDays?: Situation;
    overtimeSeparationDuringHoliday?: Situation;
    overtimeSeparationDuringDayOff?: Situation;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
    static fromDto(timeEvaluationSituationDefinitionHistoryDto: TimeEvaluationSituationDefinitionHistoryDto, originEntity?: string): TimeEvaluationSituationDefinitionHistory;
    static toDto(timeEvaluationSituationDefinitionHistory: TimeEvaluationSituationDefinitionHistory, originEntity?: string): TimeEvaluationSituationDefinitionHistoryDto;
}
