import { HttpClient } from "@angular/common/http";
import { TranslateService } from "@ngx-translate/core";
import { MessageService } from "primeng/api";
import { EntityService, ListParams } from "../../../shared/services/entity-service";
import { TimeEvaluationSituationDefinitionHistoryDto } from "../time-evaluation-situation-definition-history/time-evaluation-situation-definition-history-dto";
import { TimeEvaluationSituationDefinitionDto } from "./time-evaluation-situation-definition-dto";
export declare class TimeEvaluationSituationDefinitionService extends EntityService<TimeEvaluationSituationDefinitionDto> {
    protected http: HttpClient;
    protected messageService: MessageService;
    protected translate: TranslateService;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    getTimeEvaluationSituationDefinitionHistory(timeEvaluationSituationDefinitionId: any, id: any): import("rxjs").Observable<unknown>;
    updateTimeEvaluationSituationDefinitionHistory(timeEvaluationSituationDefinitionId: any, id: any, timeEvaluationSituationDefinitionHistoryDto: TimeEvaluationSituationDefinitionHistoryDto): import("rxjs").Observable<unknown>;
    listTimeEvaluationSituationDefinitionHistory(timeEvaluationSituationDefinitionId: any, listParams: ListParams): import("rxjs").Observable<unknown>;
    insertTimeEvaluationSituationDefinitionHistory(timeEvaluationSituationDefinitionId: any, timeEvaluationSituationDefinitionHistoryDto: TimeEvaluationSituationDefinitionHistoryDto): import("rxjs").Observable<unknown>;
    deleteTimeEvaluationSituationDefinitionHistory(timeEvaluationSituationDefinitionId: any, id: any): import("rxjs").Observable<unknown>;
}
