import { WorkshiftChangeDto } from "./workshift-change-dto";
import { Employee } from "../employee";
import { Workshift } from "../workshift/workshift";
import { WorkshiftGroup } from "../workshift-group/workshift-group";
export declare class WorkshiftChange {
    id?: string;
    employee: Employee;
    startDate: Date;
    endDate: Date;
    workshift: Workshift;
    workshiftGroup?: WorkshiftGroup;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
    static fromDto(workshiftChangeDto: WorkshiftChangeDto, originEntity?: string): WorkshiftChange;
    static toDto(workshiftChange: WorkshiftChange, originEntity?: string): WorkshiftChangeDto;
}
