import { HttpClient } from "@angular/common/http";
import { MessageService } from "primeng/api";
import { TranslateService } from "@ngx-translate/core";
import { WorkshiftDto } from "./workshift-dto";
import { EntityService } from "../../../shared/services/entity-service";
import { Observable } from "rxjs";
export declare class WorkshiftService extends EntityService<WorkshiftDto> {
    protected http: HttpClient;
    protected messageService: MessageService;
    protected translate: TranslateService;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    getCurrentWorkShiftIdByEmployeeId(employeeId: string): Observable<{
        workShiftId: string;
    }>;
}
