import { HttpClient } from "@angular/common/http";
import { TranslateService } from "@ngx-translate/core";
import { MessageService } from "primeng/api";
import { EntityService } from "../../../shared/services/entity-service";
import { AdjustmentReasonDto } from "./adjustment-reason-dto";
export declare class AdjustmentReasonService extends EntityService<AdjustmentReasonDto> {
    protected http: HttpClient;
    protected messageService: MessageService;
    protected translate: TranslateService;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    listAdjustmentReasonsBySituation(situationId: string): import("rxjs").Observable<unknown>;
}
