import { Employee } from "../employee/employee";
import { BridgeDto } from "./bridge-dto";
export declare class Bridge {
    id?: string;
    employee: Employee;
    originDate: Date;
    destinationDate: Date;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
    static fromDto(bridgeDto: BridgeDto, originEntity?: string): Bridge;
    static toDto(bridge: Bridge, originEntity?: string): BridgeDto;
}
