import { HttpClient } from "@angular/common/http";
import { TranslateService } from "@ngx-translate/core";
import { MessageService } from "primeng/api";
import { EntityService, ListParams } from "../../../shared/services/entity-service";
import { EmployeeDto } from "./employee-dto";
export declare class EmployeeService extends EntityService<EmployeeDto> {
    protected http: HttpClient;
    protected messageService: MessageService;
    protected translate: TranslateService;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    listExternalEmployee(listParams: ListParams): import("rxjs").Observable<unknown>;
}
