import { HttpClient } from "@angular/common/http";
import { MessageService } from "primeng/api";
import { TranslateService } from "@ngx-translate/core";
import { EntityService, ListParams } from "../../../shared/services/entity-service";
import { SituationDto } from "./situation-dto";
export declare class SituationService extends EntityService<SituationDto> {
    protected http: HttpClient;
    protected messageService: MessageService;
    protected translate: TranslateService;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    listExternalSituation(listParams: ListParams): import("rxjs").Observable<unknown>;
}
