export interface TimeEvaluationDefinitionDto {
    id?: string;
    code: number;
    name: string;
    useWorkscheduleDayOff?: boolean;
    verifiedDaysControl?: any;
    controlAdjustmentReason?: boolean;
    controlObservation?: boolean;
    daysResume?: number;
    clockingEventTolerance?: any;
    retroactiveAdjustment?: any;
    evaluateIncompleteJourney?: boolean;
    incompleteJourneySituation?: any;
    numberOfDaysAdjustment?: number;
    calculateHolidayAbsenceRotationWorkshift?: boolean;
    considerClockingEventInterval?: any;
    clockingEventInterval?: number;
    schedulingOverlapsHoliday?: boolean;
    limitDaysBackwardScheduling?: number;
    bridgeOverlapsWorkscheduleChange?: boolean;
    allowClockingEventModificationBeforeTransference?: boolean;
    calculateReadiness?: boolean;
    discountHoursWorkedReadiness?: boolean;
    expirationDays?: number;
    limitOfDaysAfterPointClosing?: number;
    blockPendingAfterExpires?: boolean;
    allowsTakeLedgerPending?: boolean;
    allowsCompleteUntreatedPending?: boolean;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
}
