import { WorkshiftDto } from "./workshift-dto";
import { WorkshiftType } from "../../enums/workshift-type";
export declare class Workshift {
    id?: string;
    code: number;
    name: string;
    workshiftType: WorkshiftType;
    deleted?: boolean;
    extIntSts?: string;
    extIntMsg?: string;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
    static fromDto(workshiftDto: WorkshiftDto, originEntity?: string): Workshift;
    static toDto(workshift: Workshift, originEntity?: string): WorkshiftDto;
}
